<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (isSet($_GET['id'])) {
	$id = intval($_GET['id']);
	
	//===========================================
	//Database: Connect
	//===========================================
	require_once("../../inc/inc_config.php");
	require_once("../../inc/inc_database.php");
	
	$dblink = new database();
	$dblink->connect();
	//===========================================
		
		if ($row = $dblink->get_row("SELECT attachment,attachmentmime FROM memht_forum_posts WHERE id='$id'")) {
			$file = $row['attachment'];
			$mime = $row['attachmentmime'];
			
			if ($mime=="") { $mime = "application/force-download"; }
			
			$cfgrow = $dblink->get_row("SELECT forumattachment,forumattachmentfolder FROM memht_config");
			if (intval($cfgrow['forumattachment'])) {
				$attch_fld = $cfgrow['forumattachmentfolder'];
				if (file_exists("$attch_fld/$file")) {
					header("Pragma: public");
					header("Expires: 0");
					header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
					header("Cache-Control: private",false);
					header("Content-Type: $mime");
					header("Content-Disposition: attachment; filename=\"$file\";" );
					header("Content-Transfer-Encoding: binary");
					header("Content-Length: ".filesize("$attch_fld/$file"));
					readfile("$attch_fld/$file") or die("File not found!");
					exit();
				} else die("File not found!");
			} else die("Feature not enabled!");
		} else die("No attachment!");
	
	//===========================================
	//Database: Disconnect
	//===========================================
	$dblink->disconnect();
	
} else die("No file selected!");

?>